Bug 1029835 - Expanding a thread leads to redraw errors
Expanding a thread leads to redraw errors
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
: 1026082 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 05:29 EST by Phil Mayers
Modified: 2014-02-11 09:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 09:06:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of redraw errors (2.36 MB, image/jpeg)
2013-11-13 08:12 EST, Phil Mayers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 876279 None None None Never

  None (edit)
Description Phil Mayers 2013-11-13 05:29:49 EST
Description of problem:

When expanding a thread, the redraw of the folder goes awry - blank lines appear and odd fill/draw errors occur. Selecting a message makes that one draw ok; scrolling the window seems to fix it. Unfortunately, print-screen does not capture it, instead seeming to trigger a redraw - I'll attach a photo of the screen.

Doesn't seem to happen in other apps.

Version-Release number of selected component (if applicable):

thunderbird-24.0-3.fc18.x86_64
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc18.x86_64
  adapter is "r600"
kernel-3.10.12-100.fc18.x86_64

Not sure what else is needed for a draw/graphics bug - please let me know.

How reproducible:

Always

Steps to Reproduce:
1. Open thunderbird
2. Expand a thread
3. Observe draw failures

Actual results:

Drawing failures

Expected results:

Drawing is ok

Additional info:

Didn't happen in thunderbird 17
Comment 1 Phil Mayers 2013-11-13 05:32:16 EST
Erm... blast. I just accidentally closed thunderbird, and when restarted it, it's no longer showing that behaviour.

However, I know I've restarted it before and it has; I'll work for a day and try to reproduce, but if I can't I'll close the bug - suggest ignoring for the meantime, sorry for the noise :o(
Comment 2 Phil Mayers 2013-11-13 08:10:29 EST
Ok, I've reproduced a similar drawing bug - this one takes place when:

 1. Select a range of messages
 2. Then try to select a single message inside the range

...and messages "below" the one you try and select but inside the range have drawing errors, as per the attached message
Comment 3 Phil Mayers 2013-11-13 08:12:01 EST
Created attachment 823396 [details]
Photo of redraw errors

As noted, print-screen doesn't capture them - seems to trigger a screen-wide redraw?
Comment 4 Phil Mayers 2013-11-15 12:38:31 EST
In case it helps, this problem seems to get worse the longer the process is running; it eventually gets to be unusable, but a restart returns it to reasonable health for a while.
Comment 5 David M. Lloyd 2013-11-19 13:37:01 EST
Same problem here.  Merely making the mouse exit the window seems to redraw the expanded tree as well (I have focus-follows-mouse enabled) so it must be redrawing on focus change at the least.
Comment 6 Martin Stransky 2013-11-27 09:53:40 EST
Yes, I can reproduce it too, on Radeon HD 4770 with kernel driver. Works fine with Intel.
Comment 7 David M. Lloyd 2013-12-03 11:36:20 EST
I'm using Nouveau here.
Comment 8 David Rees 2013-12-16 13:59:55 EST
Add me to the list on F18. Also on a system with Radeon HD 4200 using stock radeon drivers.

FWIW, since CentOS 6.5 updated to thunderbird 24 I am seeing the same thing there, could be an upstream bug?
Comment 9 David Rees 2013-12-16 14:08:36 EST
After more digging upstream, I found these two bugs which appear to be related:

https://bugzilla.mozilla.org/show_bug.cgi?id=876279
https://bugzilla.mozilla.org/show_bug.cgi?id=950162

And this bug on F19:

https://bugzilla.redhat.com/show_bug.cgi?id=1026082

No help or solutions on any of them, though.
Comment 10 Fedora End Of Life 2013-12-21 09:45:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 David M. Lloyd 2014-01-02 12:03:23 EST
Reproduced on 19
Comment 12 Martin Stransky 2014-01-06 09:48:07 EST
*** Bug 1026082 has been marked as a duplicate of this bug. ***
Comment 13 Martin Stransky 2014-02-11 09:06:06 EST
Let's track is upstream.

Note You need to log in before you can comment on or make changes to this bug.